<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Component class="org.cocktail.component.CODisplayGroup" name="displayGroup">
      <Properties>
        <Property name="entityName" type="java.lang.String" value="Visa"/>
        <Property name="hasDelegate" type="boolean" value="true"/>
        <Property name="isMainDisplayGroupForController" type="boolean" value="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.CODisplayGroup" name="displayGroupTypes">
      <Properties>
        <Property name="entityName" type="java.lang.String" value="TypeVisa"/>
        <Property name="hasDelegate" type="boolean" value="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="controllerClassName" type="java.lang.String" value="org.cocktail.mangue.client.administration.visa.GestionVisas"/>
    <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[809, 473]"/>
    </Property>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="280" max="-2" attributes="0"/>
                      <Component id="cOComboBox1" min="-2" pref="221" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="5" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="cOView1" alignment="0" min="-2" pref="767" max="-2" attributes="1"/>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="listeAffichage" min="-2" pref="766" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="5" max="-2" attributes="0"/>
                              <Component id="vueBoutonsModification" max="32767" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
              </Group>
              <EmptySpace min="-2" pref="17" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="cOComboBox1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="vueBoutonsModification" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="listeAffichage" min="-2" pref="247" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="cOView1" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace pref="19" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="org.cocktail.component.COComboBox" name="cOComboBox1">
      <Properties>
        <Property name="displayGroupForTitle" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
          <ComponentRef name="displayGroupTypes"/>
        </Property>
        <Property name="enabledMethod" type="java.lang.String" value="peutAjouter"/>
        <Property name="indexForSelection" type="java.lang.String" value="&lt;none&gt;"/>
        <Property name="titleAttribute" type="java.lang.String" value="llTypeVisa"/>
        <Property name="titleForSelection" type="java.lang.String" value="typeVisaCourant"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.COTable" name="listeAffichage">
      <Properties>
        <Property name="columns" type="[Ljava.lang.Object;" editor="org.cocktail.component.COColumnsEditor">
          <SerializedValue value="-84,-19,0,5,117,114,0,19,91,76,106,97,118,97,46,108,97,110,103,46,79,98,106,101,99,116,59,-112,-50,88,-97,16,115,41,108,2,0,0,120,112,0,0,0,3,117,113,0,126,0,0,0,0,0,8,116,0,0,116,0,5,108,86,105,115,97,115,114,0,17,106,97,118,97,46,108,97,110,103,46,73,110,116,101,103,101,114,18,-30,-96,-92,-9,-127,-121,56,2,0,1,73,0,5,118,97,108,117,101,120,114,0,16,106,97,118,97,46,108,97,110,103,46,78,117,109,98,101,114,-122,-84,-107,29,11,-108,-32,-117,2,0,0,120,112,0,0,0,2,116,0,5,84,101,120,116,101,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,2,58,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10,117,113,0,126,0,0,0,0,0,8,116,0,8,37,100,47,37,109,47,37,89,116,0,7,100,68,101,98,86,97,108,115,113,0,126,0,5,0,0,0,0,116,0,19,68,-61,-87,98,117,116,32,100,101,32,118,97,108,105,100,105,116,-61,-87,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,95,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,88,117,113,0,126,0,0,0,0,0,8,116,0,8,37,100,47,37,109,47,37,89,116,0,7,100,70,105,110,86,97,108,115,113,0,126,0,5,0,0,0,0,116,0,16,70,105,110,32,100,101,32,118,97,108,105,100,105,116,-61,-87,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,80,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,74"/>
        </Property>
        <Property name="displayGroupForTable" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
          <ComponentRef name="displayGroup"/>
        </Property>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Container class="org.cocktail.component.COView" name="cOView1">
      <Properties>
        <Property name="isBox" type="boolean" value="true"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="1" attributes="0">
                      <Group type="102" alignment="1" attributes="0">
                          <Component id="jLabel4" min="-2" pref="232" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="106" max="-2" attributes="0"/>
                          <Component id="vueBoutonsValidation" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" max="-2" attributes="0">
                              <Group type="102" alignment="0" attributes="1">
                                  <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace type="separate" max="-2" attributes="0"/>
                                  <Component id="cOTextField1" min="-2" pref="74" max="-2" attributes="0"/>
                                  <EmptySpace max="32767" attributes="0"/>
                                  <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace type="separate" max="-2" attributes="0"/>
                                  <Component id="cOTextField3" min="-2" pref="74" max="-2" attributes="0"/>
                                  <EmptySpace min="-2" pref="74" max="-2" attributes="0"/>
                                  <Component id="cOCheckbox1" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace min="-2" pref="54" max="-2" attributes="0"/>
                                  <Component id="cOCheckbox2" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Component id="cOTextField2" alignment="0" min="-2" pref="707" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOCheckbox2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOCheckbox1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOTextField1" alignment="3" min="-2" pref="23" max="-2" attributes="0"/>
                      <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOTextField3" alignment="3" min="-2" pref="23" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" pref="47" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cOTextField2" alignment="3" min="-2" pref="23" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="32767" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel4" min="-2" pref="16" max="-2" attributes="0"/>
                      <Component id="vueBoutonsValidation" min="-2" pref="18" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COTextField" name="cOTextField2">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
            <Property name="supportsBackgroundColor" type="boolean" value="true"/>
            <Property name="valueName" type="java.lang.String" value="lVisa"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Helvetica" size="12" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Texte"/>
          </Properties>
        </Component>
        <Container class="org.cocktail.component.COView" name="vueBoutonsValidation">
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" max="-2" attributes="0"/>
                      <Component id="cOButton1" min="-2" pref="16" max="-2" attributes="0"/>
                      <EmptySpace max="32767" attributes="0"/>
                      <Component id="cOButton2" min="-2" pref="16" max="-2" attributes="0"/>
                      <EmptySpace min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="2" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="cOButton1" alignment="3" min="-2" pref="16" max="-2" attributes="0"/>
                          <Component id="cOButton2" alignment="3" min="-2" pref="16" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="23" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="org.cocktail.component.COButton" name="cOButton1">
              <Properties>
                <Property name="actionName" type="java.lang.String" value="annuler"/>
                <Property name="borderPainted" type="boolean" value="false"/>
                <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
                <Property name="iconName" type="java.lang.String" value="annuler16.gif"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
            <Component class="org.cocktail.component.COButton" name="cOButton2">
              <Properties>
                <Property name="actionName" type="java.lang.String" value="valider"/>
                <Property name="borderPainted" type="boolean" value="false"/>
                <Property name="enabledMethod" type="java.lang.String" value="peutValider"/>
                <Property name="iconName" type="java.lang.String" value="valider16.gif"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel3">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Helvetica" size="12" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="D&#xe9;but de validit&#xe9;"/>
          </Properties>
        </Component>
        <Component class="org.cocktail.component.COTextField" name="cOTextField1">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
            <Property name="supportsBackgroundColor" type="boolean" value="true"/>
            <Property name="valueName" type="java.lang.String" value="dateDebut"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Helvetica" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Fin de validit&#xe9;"/>
          </Properties>
        </Component>
        <Component class="org.cocktail.component.COTextField" name="cOTextField3">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
            <Property name="supportsBackgroundColor" type="boolean" value="true"/>
            <Property name="valueName" type="java.lang.String" value="dateFin"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COCheckbox" name="cOCheckbox1">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="modificationEnCours"/>
            <Property name="text" type="java.lang.String" value="D&#xe9;concentr&#xe9;"/>
            <Property name="valueName" type="java.lang.String" value="estDeconcentre"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COCheckbox" name="cOCheckbox2">
          <Properties>
            <Property name="displayGroupForValue" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
              <ComponentRef name="displayGroup"/>
            </Property>
            <Property name="enabledMethod" type="java.lang.String" value="modeCreation"/>
            <Property name="text" type="java.lang.String" value="Local"/>
            <Property name="valueName" type="java.lang.String" value="estLocal"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel4">
        </Component>
      </SubComponents>
    </Container>
    <Container class="org.cocktail.component.COView" name="vueBoutonsModification">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Component id="cOButton10" alignment="0" min="-2" pref="16" max="-2" attributes="0"/>
              <Component id="cOButton11" alignment="0" min="-2" pref="16" max="-2" attributes="0"/>
              <Component id="cOButton12" alignment="0" min="-2" pref="16" max="-2" attributes="0"/>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="cOButton10" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton11" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton12" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COButton" name="cOButton12">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="supprimer"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="peutSupprimer"/>
            <Property name="iconName" type="java.lang.String" value="supprimer16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton10">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="ajouter"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="peutAjouter"/>
            <Property name="iconName" type="java.lang.String" value="ajouter16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton11">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="modifier"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="boutonModificationAutorise"/>
            <Property name="iconName" type="java.lang.String" value="modifier16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
